enchant();	// ライブラリの初期化
window.onload = function(){
	// 240×320ピクセルサイズの画面(Canvas)を作成
	var game = new Game(320, 240);
	// フレームレートの設定。30fpsに設定
	game.fps = 30;
	// 画像データをあらかじめ読み込ませる
	game.preload("images/fighter.png", "images/bg1.png",
				"images/bg2.png", "images/bg3.png");
	// データの読み込みが完了したら処理
	game.onload = function(){
		// 奥の背景画像を設定
		var bg1 = new Sprite(640, 480);
		bg1.image = game.assets["images/bg1.png"];
		game.rootScene.addChild(bg1);
		// 自機の設定
		var fighter = new Sprite(32, 24);
		fighter.image = game.assets["images/fighter.png"];
		fighter.x = 10;
		fighter.y = game.height / 2;	// 画面中央に配置
		game.rootScene.addChild(fighter);
		// 上の背景画像を設定
		var bg2 = new Sprite(640, 32);
		bg2.image = game.assets["images/bg2.png"];
		game.rootScene.addChild(bg2);
		// 下の背景画像を設定
		var bg3 = new Sprite(640, 32);
		bg3.image = game.assets["images/bg3.png"];
		bg3.y = game.height - bg3.height;
		game.rootScene.addChild(bg3);
		// フレームイベントが発生したら処理
		game.rootScene.addEventListener(Event.ENTER_FRAME, function(){
			if (game.input.left && (fighter.x > 0)){ fighter.x = fighter.x - 2; }
			if (game.input.right && (fighter.x < 200)){ fighter.x = fighter.x + 2; }
			if (game.input.up && (fighter.y > 0)){ fighter.y = fighter.y - 2;	 }
			if (game.input.down && (fighter.y < game.height-fighter.height)){ fighter.y = fighter.y + 2; }
			// 奥の背景をスクロール
			bg1.x = bg1.x - 2;
			if (bg1.x < (-bg1.width/2)){ bg1.x = 0; }
			// 手前の2つの背景をスクロール
			bg2.x = bg2.x - 4;
			if (bg2.x < (-bg2.width/2)){ bg2.x = 0; }
			bg3.x = bg3.x - 4;
			if (bg3.x < (-bg3.width/2)){ bg3.x = 0; }
		});
	}
	game.start();	// ゲーム処理開始
}
